<!-- Copyright (c) 2026 defconxt. All rights reserved. -->
<!-- Licensed under AGPL-3.0 — see LICENSE file for details. -->
<!-- NERF is a trademark of defconxt. -->
# Testing Cors Misconfiguration Exploitation — API Reference

## Agent Script

| Command | Description |
|---------|-------------|
| `scan --url <val>` | Scan CORS configuration |
| `test --url <val> --vector <val>` | Test CORS bypass vectors |
| `exploit --url <val> --origin <val>` | Exploit CORS misconfiguration |
| `report --url <val> --format <val>` | Generate CORS report |

## Parameters

| Parameter | Type | Required | Description |
|-----------|------|----------|-------------|
| `--url` | string | Yes | Url parameter |
| `--vector` | string | Yes | Vector parameter |
| `--origin` | string | Yes | Origin parameter |
| `--format` | string | Yes | Format parameter |
